/******************************************************************************/
/* MikMod language strings header file.                                       */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-1999 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#ifndef __MikMod_LangStr_h
#define __MikMod_LangStr_h


/******************************************************************************/
/* String resources                                                           */
/******************************************************************************/
STRINGRESOURCE_BEGIN(mikStrings)
	STRINGRESOURCE_ITEM(IDS_MIK_NAME, "APlayer MikMod")
	STRINGRESOURCE_ITEM(IDS_MIK_DESCRIPTION, "Original player by Jean-Paul Mikkers and maintained at the moment by Miodrag Vallat.\nPorted to APlayer by Thomas Neumann\n\nThis player can only play APlayer UniMod 3.x like modules, but if you have the MikMod converter installed, you will be able to play a lot of different module formats.")
	STRINGRESOURCE_ITEM(IDS_MIK_MIME, "audio/x-mikmod")
	STRINGRESOURCE_ITEM(IDS_MIK_INFODESCLINE0, "Song Length:")
	STRINGRESOURCE_ITEM(IDS_MIK_INFODESCLINE1, "Used Patterns:")
	STRINGRESOURCE_ITEM(IDS_MIK_INFODESCLINE2, "Supported/Used Samples:")
	STRINGRESOURCE_ITEM(IDS_MIK_INFODESCLINE3, "Current Speed (BPM):")
	STRINGRESOURCE_ITEM(IDS_MIK_WIN_TITLE, "MikMod Player")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_MEMORY, "Error 1:\nOut of memory")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_INITIALIZE, "Error 2:\nCouldn't initialize converter")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_LOADING_HEADER, "Error 3:\nCouldn't read the module header")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_LOADING_SAMPLEINFO, "Error 4:\nCouldn't read the sample information")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_LOADING_INSTRUMENTINFO, "Error 5:\nCouldn't read the instrument information")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_LOADING_TRACK, "Error 6:\nCouldn't read the track information")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_LOADING_SAMPLE, "Error 7:\nCouldn't read the sample data")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_CORRUPT, "Error 8:\nModule is probally corrupt")
	STRINGRESOURCE_ITEM(IDS_MIK_ERR_ITPACKING, "Error 9:\nIT compressed data is corrupt")
STRINGRESOURCE_END

#endif
